Package org.jboss.resteasy.specimpl

## Class ResponseBuilderImpl

- java.lang.Object
- - javax.ws.rs.core.Response.ResponseBuilder
  - - org.jboss.resteasy.specimpl.ResponseBuilderImpl

-     public class ResponseBuilderImpl
      extends javax.ws.rs.core.Response.ResponseBuilder

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Object` | `entity` |
    `protected Annotation[]` | `entityAnnotations` |
    `protected Headers<Object>` | `metadata` |
    `protected String` | `reasonPhrase` |
    `protected int` | `status` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResponseBuilderImpl()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.Response.ResponseBuilder` | `allow​(String... methods)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `allow​(Set<String> methods)` |
    `javax.ws.rs.core.Response` | `build()` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `cacheControl​(javax.ws.rs.core.CacheControl cacheControl)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `clone()` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `contentLocation​(URI location)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `cookie​(javax.ws.rs.core.NewCookie... cookies)` |
    `static String` | `createVaryHeader​(List<javax.ws.rs.core.Variant> variants)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `encoding​(String encoding)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `entity​(Object entity)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `entity​(Object entity, Annotation[] annotations)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `expires​(Date expires)` |
    `static SimpleDateFormat` | `getDateFormatRFC822()` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `header​(String name, Object value)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `language​(String language)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `language​(Locale language)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `lastModified​(Date lastModified)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `link​(String uri, String rel)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `link​(URI uri, String rel)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `links​(javax.ws.rs.core.Link... links)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `location​(URI location)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `replaceAll​(javax.ws.rs.core.MultivaluedMap<String,​Object> headers)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `status​(int status)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `status​(int status, String reasonPhrase)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `tag​(String tag)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `tag​(javax.ws.rs.core.EntityTag tag)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `type​(String type)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `type​(javax.ws.rs.core.MediaType type)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `variant​(javax.ws.rs.core.Variant variant)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `variants​(List<javax.ws.rs.core.Variant> variants)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `variants​(javax.ws.rs.core.Variant... variants)` |

    - ### Methods inherited from class javax.ws.rs.core.Response.ResponseBuilder

      `newInstance, status, status`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entity

          protected Object entity

    - #### entityAnnotations

          protected Annotation[] entityAnnotations

    - #### status

          protected int status

    - #### reasonPhrase

          protected String reasonPhrase

    - #### metadata

          protected Headers<Object> metadata

  - ### Constructor Detail

    - #### ResponseBuilderImpl

          public ResponseBuilderImpl()

  - ### Method Detail

    - #### build

          public javax.ws.rs.core.Response build()

      Specified by:
        `build` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### clone

          public javax.ws.rs.core.Response.ResponseBuilder clone()

      Specified by:
        `clone` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### status

          public javax.ws.rs.core.Response.ResponseBuilder status​(int status,
                                                                  String reasonPhrase)

      Specified by:
        `status` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### status

          public javax.ws.rs.core.Response.ResponseBuilder status​(int status)

      Specified by:
        `status` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### entity

          public javax.ws.rs.core.Response.ResponseBuilder entity​(Object entity)

      Specified by:
        `entity` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### entity

          public javax.ws.rs.core.Response.ResponseBuilder entity​(Object entity,
                                                                  Annotation[] annotations)

      Specified by:
        `entity` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### type

          public javax.ws.rs.core.Response.ResponseBuilder type​(javax.ws.rs.core.MediaType type)

      Specified by:
        `type` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### type

          public javax.ws.rs.core.Response.ResponseBuilder type​(String type)

      Specified by:
        `type` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### variant

          public javax.ws.rs.core.Response.ResponseBuilder variant​(javax.ws.rs.core.Variant variant)

      Specified by:
        `variant` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### variants

          public javax.ws.rs.core.Response.ResponseBuilder variants​(List<javax.ws.rs.core.Variant> variants)

      Specified by:
        `variants` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### createVaryHeader

          public static String createVaryHeader​(List<javax.ws.rs.core.Variant> variants)

    - #### language

          public javax.ws.rs.core.Response.ResponseBuilder language​(String language)

      Specified by:
        `language` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### location

          public javax.ws.rs.core.Response.ResponseBuilder location​(URI location)

      Specified by:
        `location` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### contentLocation

          public javax.ws.rs.core.Response.ResponseBuilder contentLocation​(URI location)

      Specified by:
        `contentLocation` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### tag

          public javax.ws.rs.core.Response.ResponseBuilder tag​(javax.ws.rs.core.EntityTag tag)

      Specified by:
        `tag` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### tag

          public javax.ws.rs.core.Response.ResponseBuilder tag​(String tag)

      Specified by:
        `tag` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### lastModified

          public javax.ws.rs.core.Response.ResponseBuilder lastModified​(Date lastModified)

      Specified by:
        `lastModified` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### cacheControl

          public javax.ws.rs.core.Response.ResponseBuilder cacheControl​(javax.ws.rs.core.CacheControl cacheControl)

      Specified by:
        `cacheControl` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### header

          public javax.ws.rs.core.Response.ResponseBuilder header​(String name,
                                                                  Object value)

      Specified by:
        `header` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### cookie

          public javax.ws.rs.core.Response.ResponseBuilder cookie​(javax.ws.rs.core.NewCookie... cookies)

      Specified by:
        `cookie` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### language

          public javax.ws.rs.core.Response.ResponseBuilder language​(Locale language)

      Specified by:
        `language` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### getDateFormatRFC822

          public static SimpleDateFormat getDateFormatRFC822()

    - #### expires

          public javax.ws.rs.core.Response.ResponseBuilder expires​(Date expires)

      Specified by:
        `expires` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### allow

          public javax.ws.rs.core.Response.ResponseBuilder allow​(String... methods)

      Specified by:
        `allow` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### allow

          public javax.ws.rs.core.Response.ResponseBuilder allow​(Set<String> methods)

      Specified by:
        `allow` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### encoding

          public javax.ws.rs.core.Response.ResponseBuilder encoding​(String encoding)

      Specified by:
        `encoding` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### variants

          public javax.ws.rs.core.Response.ResponseBuilder variants​(javax.ws.rs.core.Variant... variants)

      Specified by:
        `variants` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### links

          public javax.ws.rs.core.Response.ResponseBuilder links​(javax.ws.rs.core.Link... links)

      Specified by:
        `links` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### link

          public javax.ws.rs.core.Response.ResponseBuilder link​(URI uri,
                                                                String rel)

      Specified by:
        `link` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### link

          public javax.ws.rs.core.Response.ResponseBuilder link​(String uri,
                                                                String rel)

      Specified by:
        `link` in class `javax.ws.rs.core.Response.ResponseBuilder`

    - #### replaceAll

          public javax.ws.rs.core.Response.ResponseBuilder replaceAll​(javax.ws.rs.core.MultivaluedMap<String,​Object> headers)

      Specified by:
        `replaceAll` in class `javax.ws.rs.core.Response.ResponseBuilder`